Subject: Re: hello project web page includes libc and autotools manuals?

From: Mike Frysinger <[email-masked]>
Date: Thu, 18 Jan 2024 19:54:58 -0500

On 18 Jan 2024 15:55, Karl Berry wrote:
>     i don't think it costs us anything, so i'm not really worried
> 
> Agreed. Closing this bug.
> But for the record will reply to your other comments.
> 
>     i guess it's a question of, have all the broken manuals been regenerated, 
> 
> I would hope so, by now, but I haven't checked.
> 
>     do we care if older local archives are broken ?
> 
> I don't :).
> 
>     what about older versions of manuals too ?
>     https://www.gnu.org/software/automake/manual/index-full.html
> 
> Well, Automake does not have any .symlinks for other manuals, so I
> assume there are plenty of broken cross-manual links, but no one has
> complained. Although I don't think that means much of anything.

i meant, do old automake manuals have the broken links and refer to the
libtool links ?  to answer my own question, i grepped the automake tree
and all https://www.gnu.org/software/libtool/... links are to manual/,
nothing else.

just to be clear, was the problem they were referring to libtool all
the time ?  or was it they would use the current URI base to point to
a diff project ?  so the .symlinks file would only be for libtool's
own manuals, or were other projects also routing via those links ?

i thought it was the latter.  if it's the former, killing the symlinks
now sounds fine.
-mike